@import "../../../styles.scss";
.dashboard {
    width: 100%;
    height: 100%;
    padding: 10px;
    background-color: rgb(247, 247, 247);

    .filter-card {
        padding: 20px;
        border-radius: 5px;
        background-color: white;
        box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;

        .btn-clear {
            height: 28px !important;
        }
    }

    .chart-card {
        @extend .filter-card;
        padding: 0px !important;
        overflow-y: auto;
        height: calc(100% - 150px);
        .overall {
            border-top: 1px solid $boderColor;
            width: 100%;
            .title {
                position: relative;
                top: -18px;
                padding: 5px;
                left: calc(50% - 90px);
                width: 200px;
                background-color: white;
            }
        }

        .damage {
            width: 100%;
        }

        .resource {
            border-top: 1px solid $boderColor;
            width: 100%;
            .title {
                position: relative;
                top: -18px;
                padding: 5px;
                left: calc(50% - 100px);
                width: 200px;
                background-color: white;
            }
        }
        .status-chart {
            width: 50%;
            height: 300px;
        }

        .resource-chart {
            top: -40px;
            width: 50%;
            height: 450px;
        }

        .agri-chart {
            position: relative;
            top: -40px;
            width: 50%;
            height: 400px;
        }
        .line-chart {
            width: 100%;
            height: 300px;
        }

        .plublic-chart {
            position: relative;
            top: -40px;
            width: 50%;
            height: 450px;
        }
        .type-chart {
            @extend .status-chart;
        }
        .box-50 {
            width: 50%;
        }
        .border-bottom {
            border-bottom: 1px solid $boderColor;
        }
    }

    //////input

    input::placeholder {
        font-size: 12px;
    }
    input {
        font-size: 12px;
        padding: 0px 5px 0px;
        margin-top: 3px;
    }
    input:disabled {
        color: rgb(0, 0, 0);
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 0px;
        padding-bottom: 4px;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight;
        padding: 0px;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight;
    }

    mat-select {
        padding: 0px 5px 0px 5px;
    }

    ::ng-deep .mat-mdc-select-value {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-size: 12px;
    }
    ::ng-deep .mat-mdc-option.mdc-list-item {
        font-size: 12px !important;
    }

    ::ng-deep .mat-mdc-form-field-subscript-wrapper {
        height: 0px;
    }
}
